Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class SearchException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.mail.MessagingException
                        |
                        +--javax.mail.search.SearchException

All Implemented Interfaces:
  java.io.Serializable

public class SearchException
extends MessagingException

The exception thrown when a Search expression could not be handled.

See Also:
  Serialized Form

Constructor Summary
`SearchException()` Constructs a SearchException with no detail message.
`SearchException(java.lang.String s)` Constructs a SearchException with the specified detail message.

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchException

    public SearchException()

  Constructs a SearchException with no detail message.

### SearchException

    public SearchException(java.lang.String s)

  Constructs a SearchException with the specified detail message.
  Parameters:
    `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD